play.classloading

## Class ApplicationCompiler

- java.lang.Object
- - play.classloading.ApplicationCompiler

-     public class ApplicationCompiler
      extends java.lang.Object

  Java compiler (uses eclipse JDT)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationCompiler(ApplicationClasses applicationClasses)` Try to guess the magic configuration options

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(java.lang.String[] classNames)` Please compile this className

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationCompiler

          public ApplicationCompiler(ApplicationClasses applicationClasses)

      Try to guess the magic configuration options
      Parameters:
        `applicationClasses` - The application classes container

  - ### Method Detail

    - #### compile

          public void compile(java.lang.String[] classNames)

      Please compile this className
      Parameters:
        `classNames` - Arrays of the class name to compile

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly